\timing on

DROP TABLE IF EXISTS hyps;
CREATE TABLE hyps (
	docid INT,
	wordid INT,
	positions INT[],
	weights REAL[],
	length INT,
	total_weight REAL
);
--COPY hyps FROM '/mnt/scratch04/ifapso/mesh/mesh-sqlcopy-docid-wordid-positions/all_weights_clones10_veclen_vecweight.sqlcopy';
--COPY hyps FROM '/mnt/scratch04/ifapso/mesh/mesh-sqlcopy-docid-wordid-positions/all_weights_veclen_vecweight_clustered.sqlcopy';
COPY hyps FROM '/home/miso/exp/speech_search/test_data/sqlcopy/all_binseq.sqlcopy.sorted';
CREATE INDEX hyps_wordid_index ON hyps USING btree (wordid);


DROP TABLE IF EXISTS dict;
CREATE TABLE dict (
	wordid INT,
	word VARCHAR(35)
);
--COPY dict FROM '/mnt/matylda5/ifapso/exp/postgresql_search/lexicon.txt.lc.utf8';
COPY dict FROM '/home/miso/exp/speech_search/test_data/sqlcopy/lexicon.sqlcopy';
CREATE INDEX dict_wordid_index ON dict USING hash (wordid);
CREATE INDEX dict_word_index ON dict USING hash (word);


DROP TABLE IF EXISTS docs;
CREATE TABLE docs (
	docid INT,
	name VARCHAR(50)
);
--COPY docs FROM '/mnt/matylda5/ifapso/exp/postgresql_search/docs_clone10.sqlcopy';
--COPY docs FROM '/mnt/matylda5/ifapso/exp/postgresql_search/docs.sqlcopy';
COPY docs FROM '/home/miso/exp/speech_search/test_data/sqlcopy/docs.sqlcopy';
CREATE INDEX docs_docid_index ON docs USING hash (docid);
CREATE INDEX docs_name_index ON docs USING hash (name);


